Subject: [ntpwg] Avoiding MD5

From: David Mills <[email-masked]>
Date: Wed, 11 Nov 2009 21:43:39 +0000

Folks,

A few souls with sharp elbows are skeptical about the mention of MD5 in 
both the NTPv4 and Autokey documents. My theme was to leave the message 
digest algorithm unspecified and use whatever digest algorithm was 
appropriate. For sanity check, the reference implementation now supports 
all 16- and 20-octet message digest algorithms available in the OpenSSL 
library. Algorithms can be specified for each key separately, so legacy 
NTPv3 and older NTPv4 remain interoperable. However, all participants in 
an Autokey subnet must use the same message digest algorithm. The 
revised code and documentation are in the latest ntp-dev tarball.

Dave
_______________________________________________
ntpwg mailing list
[email-masked]
https://lists.ntp.org/mailman/listinfo/ntpwg